Posts

Read the current source post revision

GET
/api/projects/{projectId}/posts/{postId}

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
postId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
post*
Example Request
curl -X GET 'https://postbot.example/api/projects/string/posts/string'
Example Response
{
  "post": {
    "id": "string",
    "projectId": "string",
    "title": "string",
    "sourceContent": "string",
    "sourceRevision": -9007199254740991,
    "createdByActorId": "string",
    "createdAt": -9007199254740991,
    "updatedAt": -9007199254740991
  }
}

Was this page helpful?